package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 任务状态(0.新建,1.执行中,2.执行成功,3.执行失败)枚举类
*
* @author zxfei
*/
public enum StatusesEnum {
    新建("0", "新建"),
    执行中("1", "执行中"),
    执行成功("2", "执行成功"),
    执行失败("3", "执行失败");
    private String value;
    private String desc;

    StatusesEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static StatusesEnum getByValue(String value) {
        for (StatusesEnum statusesEnum : StatusesEnum.values()) {
            if (statusesEnum.getValue() == value) {
                return statusesEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (StatusesEnum item : StatusesEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}